ChangeSet 1.1722.97.80, 2004/06/17 15:22:55-07:00, stern@rowland.harvard.edu

[PATCH] USB Storage: unusual_devs.h update

On Thu, 17 Jun 2004, Daniel Nouri wrote:
> I get this message when inserting my USB MMC card reader:
>
> usb 3-1: new full speed USB device using address 4
> usb.agent[5388]:      usb-storage: already loaded
> usb-storage: This device (04e6,0006,0205 S 01 P 01) has an unneeded Protocol entry in unusual_devs.h
> Please send a copy of this message to <linux-usb-devel@lists.sourceforge.net>

Thanks for letting us know.  This patch will eliminate that log message.



Signed-off-by: Alan Stern <stern@rowland.harvard.edu>
Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 drivers/usb/storage/unusual_devs.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/usb/storage/unusual_devs.h b/drivers/usb/storage/unusual_devs.h
--- a/drivers/usb/storage/unusual_devs.h	Fri Jun 18 10:52:08 2004
+++ b/drivers/usb/storage/unusual_devs.h	Fri Jun 18 10:52:08 2004
@@ -207,7 +207,7 @@
 UNUSUAL_DEV(  0x04e6, 0x0006, 0x0100, 0x0205, 
 		"Shuttle",
 		"eUSB MMC Adapter",
-		US_SC_SCSI, US_PR_CB, NULL, 
+		US_SC_SCSI, US_PR_DEVICE, NULL, 
 		US_FL_SINGLE_LUN), 
 
 UNUSUAL_DEV(  0x04e6, 0x0007, 0x0100, 0x0200, 
